%global momorel 1

Name:           perl-Data-FormValidator
Version:        4.51
Release: %{momorel}m%{?dist}
Summary:        Validates user input (usually from an HTML form) based on input profile
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-FormValidator/
Source0:        http://www.cpan.org/authors/id/M/MA/MARKSTOS/Data-FormValidator-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl-Date-Calc >= 5
BuildRequires:  perl-File-MMagic >= 1.17
BuildRequires:  perl-Image-Size
BuildRequires:  perl-MIME-Types >= 1.005
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Regexp-Common
BuildRequires:	perl-Perl6-Junction >= 1.1
Requires:       perl-Date-Calc >= 5
Requires:       perl-File-MMagic >= 1.17
Requires:       perl-Image-Size
Requires:       perl-MIME-Types >= 1.005
Requires:       perl-Regexp-Common
Requires:	perl-Perl6-Junction >= 1.1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Data::FormValidator's main aim is to make input validation expressible in a
simple format.

%prep
%setup -q -n Data-FormValidator-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README RELEASE_NOTES
%{perl_vendorlib}/Data/*
%{_mandir}/man3/*

%changelog
* Sat Jul 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.51-1m)
- update to 4.51
- add BuildRequires: perl-Perl6-Junction >= 1.1 and Requires: perl-Perl6-Junction >= 1.1 

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (4.50-1m)
- update to 4.50

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4.40-2m)
- use vendor

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.40-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
